Name: repocop-unittest-altlinux-policy
Version: 0.08
Release: alt1
BuildArch: noarch
Packager: Igor Vlasenko <viy@altlinux.ru>

Summary: altlinux-policy intergration tests for repocop test platform.
Group: Development/Other
License: GPLv2+

Source: %name-%version.tar
Provides: repocop-unittest-altlinux-policy-rpm-macros-packaging = 0.04
Obsoletes: repocop-unittest-altlinux-policy-rpm-macros-packaging

%description
The test warns packages that contain rpm macros, but are not named
appropriately.

%prep
%setup

%build

%install
for i in *.done; do
    testname=`echo $i | sed -e s,.done\$,,`
    install -pD -m 755 $testname.done %buildroot%_datadir/repocop/pkgtests/$testname/done
done

for i in *.pl; do
    install -pD -m 644 $i %buildroot%_datadir/repocop/fixscripts/$i
done

%files
%_datadir/repocop/pkgtests/*
%_datadir/repocop/fixscripts/*

%changelog
* Sat Dec 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- added test altlinux-policy-shared-lib-contains-devel-so

* Fri Dec 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- fixes in test pseudouser-added-as-real-user

* Sun Nov 30 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added test pseudouser-added-as-real-user 

* Sun Nov 23 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- _rpmmacrosdir support added

* Fri Nov 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- renamed to repocop-unittest-altlinux-policy
- added check and fixscript for %%perl_vendor_archlib packaging

* Mon Sep 08 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- refs to wiki.altlinux.org (#16724)

* Thu Jul 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- more verbose description in generated patch

* Thu Jul 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial version; note: added patch generator
